<template>
  <section class="notification"></section>
</template>

<script>
import Vue from 'vue';
import Component from 'vue-class-component';
import EventBus from '@/utils/eventBus';

@Component()
export default class Notification extends Vue {
  mounted() {
    EventBus.$on('showNotification', ({ type, title, message }) => {
      this.$notify({ type, title, message });
    });
  }
}
</script>

<style lang="stylus" scoped>
.notification
  display none
</style>